This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 440334 - libsmbios doesn't correctly obsolete libsmbios-libs, leaves orphan package
libsmbios doesn't correctly obsolete libsmbios-libs, leaves orphan package
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: libsmbios (Show other bugs)
rawhide
All Linux
low Severity low
: ---
: ---
Assigned To: Michael E Brown
Fedora Extras Quality Assurance
NeedsRetesting
:
Depends On:
Blocks: F9Blocker
  Show dependency treegraph
 
Reported: 2008-04-02 17:22 EDT by Jesse Keating
Modified: 2013-01-09 22:19 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-02 17:11:43 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Jesse Keating 2008-04-02 17:22:53 EDT
Summary says it all, just needs a proper Provides/Obsoletes set.
Comment 1 Jon Stanley 2008-04-18 04:49:29 EDT
Any chance of this in the next few days, Michael?
Comment 2 Matt Domsch 2008-04-19 09:04:08 EDT
I think this is what it needs, I've requested to be added to the ACL, and have
sent mail to Michael privately with same.

diff -u -b -B -u -r1.12 libsmbios.spec
--- libsmbios.spec      4 Mar 2008 15:32:18 -0000       1.12
+++ libsmbios.spec      19 Apr 2008 12:58:34 -0000
@@ -8,13 +8,14 @@
 
 Name: %{release_name}
 Version: %{release_version}
-Release: 2%{?dist}
+Release: 3%{?dist}
 License: GPLv2+ or OSL
 Group: System Environment/Libraries
 Source:
http://linux.dell.com/libsmbios/download/%{name}/%{name}-%{version}/%{name}-%{version}.tar.gz
 URL: http://linux.dell.com/libsmbios/main
 Summary: Libsmbios shared libraries
 Buildroot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
+Obsoletes: libsmbios-libs < 0.13.11
 Provides: libsmbios-libs = %{version}-%{release}
 BuildRequires: libxml2-devel
 
@@ -152,6 +153,9 @@
 
 # ./ChangeLog is appended by configure
 %changelog
+* Sat Apr 19 2008 Matt Domsch <Matt_Domsch at dell.com> - 2.0.1-3
+- add obsoletes libsmbios-libs (bz440334)
+
 * Mon Mar 3 2008 Michael E Brown <michael_e_brown at dell.com> - 2.0.1-2
 - properly obsolete older versions
 
Comment 3 Matt Domsch 2008-04-19 09:25:43 EDT
duh, that should be < 2.0.0 to allow for continued fixes on the 0.x.y branches.
Comment 4 Michael E Brown 2008-04-22 13:21:59 EDT
patched, tagged, and built for both devel and F-9. releng needs to tag this for F9
Comment 5 Bill Nottingham 2008-04-23 12:46:08 EDT
Tagged. Can someone verify this?
Comment 6 Will Woods 2008-05-02 17:11:43 EDT
Confirmed; upgrades on x86_64 and i386 both have libsmbios and not libsmbios-libs

Note You need to log in before you can comment on or make changes to this bug.